import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import AutoImport from 'unplugin-auto-import/vite' 
import legacy from '@vitejs/plugin-legacy';
// https://vitejs.dev/config/
export default defineConfig({
  base:'./',
  plugins: [
    vue(),
    AutoImport({
      imports: ["vue", "vue-router"], //自动导入相关函数
    }),
    legacy({ targets: ['defaults', 'not IE 11'] })
  ],
})
